Developer Documentation

Public Types | Public Member Functions | Private Attributes | List of all members
HoleInfo< MeshT > Class Template Reference
Inheritance diagram for HoleInfo< MeshT >:

## Public Types
typedef std::vector< typename MeshT::EdgeHandle > | Hole

## Public Member Functions
| HoleInfo (MeshT *_mesh)
| Konstruktor. More...
| ~HoleInfo ()
| Destruktor. More...
void | getHoles ()
| get all holes and store them internally More...
void | fillHole (int _index, int _stages=3)
| fill hole with given index
void | fillHole (typename MeshT::EdgeHandle _eh, int _stages=3)
| fill hole with given boundary edgeHandle More...
void | fillAllHoles (int _stages=3)
| fill all holes More...
void | selectHole (int _index)
| select a hole with given index
void | getHolePostitionInfo (const int _index, typename MeshT::Normal &_holeNormal, typename MeshT::Point &_holeCenter) const
| Collect information to fly to a hole.
void | getHoleInfo (const unsigned int _index, size_t &_edges, typename MeshT::Scalar &_diagonal, typename MeshT::Scalar &_boundaryLength) const
std::vector< std::vector< typename MeshT::EdgeHandle > > * | holes ()
| get the holes vector
Public Member Functions inherited from PerObjectData
| PerObjectData ()
| You have to provide your own constructor for your object.
virtual PerObjectData * | copyPerObjectData ()
| Copy Function. More...

## Private Attributes
MeshT * | mesh_
std::vector< Hole > | holes_
HoleFiller< MeshT > * | filler_

## Detailed Description

### template<class MeshT>
class HoleInfo< MeshT >

Definition at line 53 of file HoleInfoT.hh.

## Constructor & Destructor Documentation

## ◆ HoleInfo()

template<class MeshT >

HoleInfo< MeshT >::HoleInfo | ( | MeshT * | _mesh | ) |
| explicit

Konstruktor.

Constructor.

Definition at line 53 of file HoleInfoT_impl.hh.

## ◆ ~HoleInfo()

template<class MeshT >

HoleInfo< MeshT >::~HoleInfo | ( |  | ) |

Destruktor.

Destructor.

Definition at line 60 of file HoleInfoT_impl.hh.

## Member Function Documentation

## ◆ fillAllHoles()

template<class MeshT >

void HoleInfo< MeshT >::fillAllHoles | ( | int | _stages = `3` | ) |

fill all holes

fill all holes of the mesh

Definition at line 208 of file HoleInfoT_impl.hh.

## ◆ fillHole()

template<class MeshT >

void HoleInfo< MeshT >::fillHole | ( | typename MeshT::EdgeHandle | _eh,
|  | int | _stages = `3`
| ) |  |

fill hole with given boundary edgeHandle

fill hole with given edgeHandle on the boundary

Definition at line 192 of file HoleInfoT_impl.hh.

## ◆ getHoleInfo()

template<class MeshT >

void HoleInfo< MeshT >::getHoleInfo | ( | const unsigned int | _index,
|  | size_t & | _edges,
|  | typename MeshT::Scalar & | _diagonal,
|  | typename MeshT::Scalar & | _boundaryLength
| ) |  | const

Collect bounding box size and boundary length of holes

Parameters

  _index | Index of the hole
  _edges | Count of boundary edges
  _diagonal | Length of the hole bounding box diagonal
  _boundary_Length | Boundary length of the hole

Definition at line 257 of file HoleInfoT_impl.hh.

## ◆ getHoles()

template<class MeshT >

void HoleInfo< MeshT >::getHoles | ( |  | ) |

get all holes and store them internally

Find all holes in the mesh and store them in the internal list of holes.

Definition at line 68 of file HoleInfoT_impl.hh.

The documentation for this class was generated from the following files:

- Plugin-HoleFilling/HoleInfoT.hh
- Plugin-HoleFilling/HoleInfoT_impl.hh